import { openBlock as a, createElementBlock as s, Fragment as g, createElementVNode as e, toDisplayString as u, createCommentVNode as i, renderSlot as b, normalizeClass as m } from "vue";
const p = (t, l) => {
  const r = t.__vccOpts || t;
  for (const [d, o] of l)
    r[d] = o;
  return r;
}, y = {
  name: "CustomInput",
  props: {
    label: {
      type: String,
      default: null
    },
    modelValue: {
      type: String,
      required: !0
    },
    type: {
      type: String,
      default: "text",
      required: !0
    },
    placeholder: {
      type: String,
      default: ""
    }
  },
  emits: ["update:modelValue"],
  data() {
    return {
      error: ""
    };
  },
  watch: {
    modelValue: {
      handler(t) {
        t ? this.error = "" : this.error = "Value should not be empty";
      }
    }
  },
  methods: {
    input_class() {
      return [
        "bg-gray-50 border-gray-300 text-gray-900 ",
        "dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500",
        "focus:ring-blue-500 focus:border-blue-500 ",
        "border rounded-lg block w-full p-2.5 text-sm border-solid"
      ];
    },
    value_class() {
      return this.label ? "px-3 py-2 md:py-3 md:px-4 block w-full md:w-[18rem] xl:w-[22rem] rounded-lg md:rounded-xl text-sm border-2 ring-2 ring-transparent border-gray-200 hover:border-blue-200 outline-none focus:ring-blue-300 dark:bg-gray-800 dark:hover:bg-slate-800 dark:border-gray-700 dark:text-gray-400 duration-300" : "outline-none flex flex-grow p-3 bg-transparent rounded-l-xl px-4 text-xs duration-300";
    }
  }
}, x = {
  key: 0,
  class: "block mb-2 text-sm font-medium text-gray-900 dark:text-gray-300"
}, f = { class: "flex relative" }, h = { class: "w-10 flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none overflow-hidden" }, k = ["placeholder", "type", "value"], v = {
  key: 0,
  class: "mt-4"
}, _ = {
  class: "flex items-center w-[15rem] md:w-[20rem] p-4 text-gray-500 bg-white rounded-xl shadow dark:text-gray-400 dark:bg-[#18191c]",
  role: "alert"
}, w = /* @__PURE__ */ e("div", { class: "inline-flex items-center justify-center flex-shrink-0 w-8 h-8 text-blue-500 bg-blue-100 rounded-lg dark:bg-blue-800 dark:text-blue-200" }, [
  /* @__PURE__ */ e("svg", {
    class: "w-5 h-5",
    fill: "currentColor",
    viewBox: "0 0 20 20"
  }, [
    /* @__PURE__ */ e("path", {
      "clip-rule": "evenodd",
      d: "M12.395 2.553a1 1 0 00-1.45-.385c-.345.23-.614.558-.822.88-.214.33-.403.713-.57 1.116-.334.804-.614 1.768-.84 2.734a31.365 31.365 0 00-.613 3.58 2.64 2.64 0 01-.945-1.067c-.328-.68-.398-1.534-.398-2.654A1 1 0 005.05 6.05 6.981 6.981 0 003 11a7 7 0 1011.95-4.95c-.592-.591-.98-.985-1.348-1.467-.363-.476-.724-1.063-1.207-2.03zM12.12 15.12A3 3 0 017 13s.879.5 2.5.5c0-1 .5-4 1.25-4.5.5 1 .786 1.293 1.371 1.879A2.99 2.99 0 0113 13a2.99 2.99 0 01-.879 2.121z"
    })
  ])
], -1), C = { class: "ml-3 text-sm font-normal" }, V = /* @__PURE__ */ e("span", { class: "sr-only" }, "Close", -1), S = /* @__PURE__ */ e("svg", {
  class: "w-5 h-5",
  fill: "currentColor",
  viewBox: "0 0 20 20"
}, [
  /* @__PURE__ */ e("path", {
    "clip-rule": "evenodd",
    d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
  })
], -1), z = [
  V,
  S
];
function B(t, l, r, d, o, c) {
  return a(), s(g, null, [
    e("div", null, [
      r.label ? (a(), s("label", x, u(r.label), 1)) : i("", !0),
      e("div", f, [
        e("div", h, [
          b(t.$slots, "prefix")
        ]),
        e("input", {
          placeholder: r.placeholder,
          type: r.type,
          value: r.modelValue,
          class: m(c.input_class()),
          required: "",
          onInput: l[0] || (l[0] = (n) => t.$emit("update:modelValue", n.target.value))
        }, null, 42, k)
      ])
    ]),
    o.error ? (a(), s("div", v, [
      e("div", _, [
        w,
        e("div", C, u(o.error), 1),
        e("button", {
          type: "button",
          class: "ml-auto -mx-1.5 -my-1.5 bg-white text-gray-400 hover:text-gray-900 rounded-lg focus:ring-2 focus:ring-gray-300 p-1.5 hover:bg-gray-100 inline-flex h-8 w-8 dark:text-gray-400 dark:bg-[#1e2023] dark:bg-opacity-70 dark:hover:bg-opacity-100",
          "data-dismiss-target": "#toast-default",
          "aria-label": "Close",
          onClick: l[1] || (l[1] = (n) => o.error = !o.error)
        }, z)
      ])
    ])) : i("", !0)
  ], 64);
}
const q = /* @__PURE__ */ p(y, [["render", B]]);
export {
  q as default
};
