import { openBlock as a, createBlock as r, resolveDynamicComponent as o, normalizeClass as d, normalizeStyle as u, withCtx as c, renderSlot as m } from "vue";
const h = (e, l) => {
  const t = e.__vccOpts || e;
  for (const [s, i] of l)
    t[s] = i;
  return t;
}, b = {
  props: {
    label: {
      type: String,
      default: null
    },
    active: {
      type: Boolean,
      default: !0
    },
    sticky: Boolean,
    // Always showing
    multiline: Boolean,
    // Multiple lines
    underlined: Boolean,
    abbreviation: Boolean,
    position: {
      type: String,
      default: "is-top",
      validator(e) {
        return ["is-top", "is-bottom", "is-left", "is-right"].indexOf(e) > -1;
      }
    },
    size: {
      type: String,
      default: "is-medium",
      validator(e) {
        return ["is-small", "is-medium", "is-large"].indexOf(e) > -1;
      }
    }
  },
  data() {
    return {
      labelText: this.label || null,
      isActive: this.active || !0,
      isSticky: this.sticky || !1,
      isMultiline: this.multiline || !1,
      isUnderlined: this.underlined || !1,
      isAbbreviation: this.abbreviation || !1,
      hasPosition: this.position || "is-top",
      hasSize: this.size || "is-medium"
      // $Tooltip: any
    };
  },
  computed: {
    dynamicStyles() {
      return {
        // '--custom-tooltip-color':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('color')
        //     ? this.$Tooltip.color
        //     : null,
        // '--custom-tooltip-background':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('background')
        //     ? this.$Tooltip.background
        //     : null,
        // '--custom-tooltip-border-radius':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('borderRadius')
        //     ? this.$Tooltip.borderRadius
        //     : null,
        // '--custom-tooltip-font-weight':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('fontWeight')
        //     ? this.$Tooltip.fontWeight
        //     : null,
      };
    }
  },
  watch: {
    label: {
      handler(e) {
        this.labelText = e;
      },
      immediate: !0
    },
    active: {
      handler(e) {
        this.isActive = e;
      },
      immediate: !0
    },
    sticky: {
      handler(e) {
        this.isSticky = e;
      },
      immediate: !0
    },
    multiline: {
      handler(e) {
        this.isMultiline = e;
      },
      immediate: !0
    },
    underlined: {
      handler(e) {
        this.isUnderlined = e;
      },
      immediate: !0
    },
    abbreviation: {
      handler(e) {
        this.isAbbreviation = e;
      },
      immediate: !0
    },
    position: {
      handler(e) {
        this.hasPosition = e;
      },
      immediate: !0
    },
    size: {
      handler(e) {
        this.hasSize = e;
      },
      immediate: !0
    }
  }
};
function p(e, l, t, s, i, n) {
  return a(), r(o(i.isAbbreviation ? "abbr" : "span"), {
    "data-label": i.labelText,
    "aria-label": i.labelText,
    role: "tooltip",
    class: d([
      i.hasPosition,
      i.hasSize,
      {
        "custom-tooltip": i.isActive && i.labelText,
        "is-sticky": i.isSticky,
        "has-multiline": i.isMultiline,
        "is-underlined": i.isUnderlined || i.isAbbreviation
      }
    ]),
    style: u([n.dynamicStyles, { cursor: i.isAbbreviation ? "help" : "pointer" }])
  }, {
    default: c(() => [
      m(e.$slots, "default", {}, void 0, !0)
    ]),
    _: 3
  }, 8, ["data-label", "aria-label", "class", "style"]);
}
const v = /* @__PURE__ */ h(b, [["render", p], ["__scopeId", "data-v-4ac3899b"]]);
export {
  v as default
};
